apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: broker-app
  application: amq-broker-app
spec:
  adminUser: "admin"
  adminPassword: "admin"
  deploymentPlan:
    size: 3
    image: placeholder
    requireLogin: false
    persistenceEnabled: true
    journalType: nio 
    messageMigration: true
    storage:
      size: "2Gi"
  console:
    expose: true
  acceptors:
    - name: amqp
      protocols: amqp
      port: 5672
      sslEnabled: false
      expose: true
      anycastPrefix: jms.queue.
      multicastPrefix: /topic/
  connectors:
    - name: connector0
      host: localhost
      port: 22222
      sslEnabled: false
      expose: true
  upgrades:
      enabled: true
      minor: true
